Debian Bug report logs - #607982
modemmanager: can't connect using Nokia N900 as 3G modem

version graph

Package: modemmanager; Maintainer for modemmanager is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>; Source for modemmanager is src:modemmanager.

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Sat, 25 Dec 2010 16:33:01 UTC

Severity: important

Tags: fixed-upstream, patch

Found in version modemmanager/0.4+git.20100624t180933.6e79d15-1

Fixed in version modemmanager/0.4+git.20100624t180933.6e79d15-2

Done: Michael Biebl <biebl@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bugzilla.redhat.com/583691

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@ubuntu.com>:
Bug#607982; Package modemmanager. (Sat, 25 Dec 2010 16:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Alexander Sack <asac@ubuntu.com>. (Sat, 25 Dec 2010 16:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: modemmanager: can't connect using Nokia N900 as 3G modem
Date: Sat, 25 Dec 2010 17:30:27 +0100
Package: modemmanager
Version: 0.4+git.20100624t180933.6e79d15-1
Severity: important
Tags: patch

Hi,

Apparently modemmanager version 0.4+git.20100624t180933.6e79d15-1 can't
connect with the Nokia N900 because of a bug already known in Redhat and
Gentoo (in short: N900 appears to require a bit more
inter-character time on the serial port):
https://bugzilla.redhat.com/show_bug.cgi?id=583691
http://bugs.gentoo.org/show_bug.cgi?id=348849

It was fixed upstream, and the Ubuntu package contains the fix.

(I'm currently using version 0.4+git.20100809t153145.be28089-0ubuntu1
from Ubuntu on my Debian system)

 - Lucas

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (700, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages modemmanager depends on:
ii  libc6                         2.11.2-7   Embedded GNU C Library: Shared lib
ii  libdbus-1-3                   1.2.24-3   simple interprocess messaging syst
ii  libdbus-glib-1-2              0.88-2     simple interprocess messaging syst
ii  libglib2.0-0                  2.24.2-1   The GLib library of C routines
ii  libgudev-1.0-0                164-3      GObject-based wrapper library for 

Versions of packages modemmanager recommends:
pn  usb-modeswitch                <none>     (no description available)

modemmanager suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Alexander Sack <asac@ubuntu.com>:
Bug#607982; Package modemmanager. (Mon, 27 Dec 2010 09:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Alexander Sack <asac@ubuntu.com>. (Mon, 27 Dec 2010 09:39:03 GMT) Full text and rfc822 format available.

Message #10 received at 607982@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: 607982@bugs.debian.org
Subject: Re: modemmanager: can't connect using Nokia N900 as 3G modem
Date: Mon, 27 Dec 2010 03:33:56 -0600
forwarded 607982 http://bugzilla.redhat.com/583691
tags 607982 + fixed-upstream
quit

Lucas Nussbaum wrote:

> It was fixed upstream, and the Ubuntu package contains the fix.

Thanks, tagging accordingly.  [1] has the fix.

[1] http://cgit.freedesktop.org/ModemManager/ModemManager/commit/?id=56665c1
[2] http://www.lucas-nussbaum.net/blog/?p=613




Set Bug forwarded-to-address to 'http://bugzilla.redhat.com/583691'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 27 Dec 2010 09:39:05 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Mon, 27 Dec 2010 09:39:05 GMT) Full text and rfc822 format available.

Reply sent to Michael Biebl <biebl@debian.org>:
You have taken responsibility. (Tue, 28 Dec 2010 09:51:06 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 28 Dec 2010 09:51:06 GMT) Full text and rfc822 format available.

Message #19 received at 607982-close@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 607982-close@bugs.debian.org
Subject: Bug#607982: fixed in modemmanager 0.4+git.20100624t180933.6e79d15-2
Date: Tue, 28 Dec 2010 09:47:07 +0000
Source: modemmanager
Source-Version: 0.4+git.20100624t180933.6e79d15-2

We believe that the bug you reported is fixed in the latest version of
modemmanager, which is due to be installed in the Debian FTP archive:

modemmanager_0.4+git.20100624t180933.6e79d15-2.diff.gz
  to main/m/modemmanager/modemmanager_0.4+git.20100624t180933.6e79d15-2.diff.gz
modemmanager_0.4+git.20100624t180933.6e79d15-2.dsc
  to main/m/modemmanager/modemmanager_0.4+git.20100624t180933.6e79d15-2.dsc
modemmanager_0.4+git.20100624t180933.6e79d15-2_i386.deb
  to main/m/modemmanager/modemmanager_0.4+git.20100624t180933.6e79d15-2_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 607982@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Michael Biebl <biebl@debian.org> (supplier of updated modemmanager package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 28 Dec 2010 10:24:52 +0100
Source: modemmanager
Binary: modemmanager
Architecture: source i386
Version: 0.4+git.20100624t180933.6e79d15-2
Distribution: unstable
Urgency: low
Maintainer: Alexander Sack <asac@ubuntu.com>
Changed-By: Michael Biebl <biebl@debian.org>
Description: 
 modemmanager - D-Bus service for managing modems
Closes: 607982
Changes: 
 modemmanager (0.4+git.20100624t180933.6e79d15-2) unstable; urgency=low
 .
   * Nokia N900 appears to need a longer port delay.
     Patch cherry-picked from upstream Git. (Closes: #607982)
Checksums-Sha1: 
 89068b08ec82a75c236bef28d1ccde61545ac5ca 2160 modemmanager_0.4+git.20100624t180933.6e79d15-2.dsc
 a5073cefd8141091557985a54e65cb2bf82f7325 7239 modemmanager_0.4+git.20100624t180933.6e79d15-2.diff.gz
 32b42f9aaf08aa4a39ab47b4d9783dab3474eee7 192954 modemmanager_0.4+git.20100624t180933.6e79d15-2_i386.deb
Checksums-Sha256: 
 bdd679d3155c46de9937e45941d5be1550ff978066ddff011e808e23ef9b28ec 2160 modemmanager_0.4+git.20100624t180933.6e79d15-2.dsc
 408ac62817afee3089c6c75f7f36a9965e46974e9c2d9526630547b3bbb0a3b8 7239 modemmanager_0.4+git.20100624t180933.6e79d15-2.diff.gz
 7ad89113be19126564268a1bf677938e108ce4a64a4c921998764985df64756d 192954 modemmanager_0.4+git.20100624t180933.6e79d15-2_i386.deb
Files: 
 5173c61101d63afa254d4ee844762c5c 2160 net optional modemmanager_0.4+git.20100624t180933.6e79d15-2.dsc
 90083ef3daa2d6b32a3586ab4c38c61a 7239 net optional modemmanager_0.4+git.20100624t180933.6e79d15-2.diff.gz
 1a858f0d9edb1ef1cbb4fe883d91022a 192954 net optional modemmanager_0.4+git.20100624t180933.6e79d15-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJNGa/xAAoJEGrh3w1gjyLco4AP/ip3/a7xjikzsHu8aMCuUKUR
YYM80IIYCZp8EhoPKl6ImGndEHQ+x/5klt3kNb5Fp9fT7cD/nx6XYeVnj5lRe/G3
tzci32nTcKe9NreBa0HVg7u30iO36Tzt7o17JA5b3GRDte8H0roUsrfMC17h9Vhp
de5HjlpT3G3poIZd+i+0NUQt2XFyjSG7PKdusiBL1+HmIRNH0Syr87vm323GZXvY
hpewLe4DvzFehRKSnXdyFID1NYpcD8Oh+tdlkEDy/tns/hIhrwucbl/HAhCyBKVv
0uMX8xsEgsf3iDbN44QoslH3T/+ZhDeKDNaZ1NFNwL9iKfYx5WerR6D2L3N7yKA4
Wuo57Cl20qbwIvC5EqbFIoRVOGMbo5373WSy67qWMqPq4enWfZ3clqIQ0Mm5pxyN
tJQQfd3jejDjnq/GfcbgMXWr0rg87/L290xQrz7bF16z41G2zjJ6CLXXkquR25YX
XjPxMYGvsOB5XYkSFleZbh3Vbby3HxrLqY+6NkyVhDh1QpZb+7GtACWu5JFsiO23
THO8h8y2216548xEx4Xm1/l8+HZUMOZQIGZSlSx1PlMyLDp2Mvlczf58+zjUaVc2
9C/eoXNT3RRlgNfCifosReBKLgoo86ezaUzGyXjcjXZgO+m2ycNre1U0ISbNTj6Q
KbNvXrVQgHE7PU4IM5n4
=CnWC
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Feb 2011 07:34:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 03:15:43 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.